Package it.ernytech.tdbot

## Class UserClient

- java.lang.Object
- - it.ernytech.tdbot.EasyClient
  - - it.ernytech.tdbot.UserClient

    public class UserClient
    extends EasyClient

Interface for easy interaction with TDLib for user.

### Field Summary

### Fields inherited from class it.ernytech.tdbot.EasyClient

`haveAuthorization`

### Constructor Summary

Constructors
`UserClient​(long phoneNumber)` Creates a new UserClient.

### Method Summary

### Methods inherited from class it.ernytech.tdbot.EasyClient

`authorizationHandler, destroyBotClient, execute, execute, send, setCloseCallback, setErrorCallback, setUpdateCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserClient

    public UserClient​(long phoneNumber)

Creates a new UserClient.

Parameters:
  `phoneNumber` - The phone number of user.